Bug 1013295 - Screenshot functionality should be disabled while screen is locked
Screenshot functionality should be disabled while screen is locked
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 03:01 EDT by Yohei Yukawa
Modified: 2015-06-29 08:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:29:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yohei Yukawa 2013-09-29 03:01:57 EDT
Description of problem:
An arbitrary person can make a screenshot by physically hitting PrintScreen key even when the screen is locked.

Version-Release number of selected component (if applicable):
Clean installed Fedora 19.

How reproducible:
100%

Steps to Reproduce:
1. Log in
2. Lock screen
3. Hit PrintScreen key

Actual results:
Screenshot is taken under the user directory.

Expected results:
Noting happens.

Additional info:
Comment 1 Yohei Yukawa 2014-03-10 07:38:46 EDT
Still reproducible on Fedora 20.
Comment 2 Florian Müllner 2014-03-14 10:27:53 EDT
(In reply to Yohei Yukawa from comment #1)
> Still reproducible on Fedora 20.

Yes, because the shortcut is enabled on purpose. Filing an upstream bug is probably a better mean to discuss this, but for now let's just reassing this to the correct component ...
Comment 3 Fedora End Of Life 2015-05-29 05:28:42 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:29:30 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.